Loading...
Searching...
No Matches
selinuxboolean_probe.c File Reference

selinuxboolean probe More...

`#include <stdlib.h>`
`#include <string.h>`
`#include <stdio.h>`
`#include <stdio_ext.h>`
`#include <errno.h>`
`#include <sys/stat.h>`
`#include <sys/vfs.h>`
`#include <sys/statvfs.h>`
`#include <fcntl.h>`
`#include <limits.h>`
`#include "_seap.h"`
`#include "probe-api.h"`
`#include "probe/entcmp.h"`
`#include <probe/probe.h>`
`#include <selinux/selinux.h>`
`#include "selinuxboolean_probe.h"`
Include dependency graph for selinuxboolean_probe.c:

## Macros

#define | OLDSELINUXMNT "/selinux"
#define | SELINUXMNT "/sys/fs/selinux"
#define | SELINUXFS "selinuxfs"
#define | SELINUX_MAGIC 0xf97cff8c

## Functions

int | selinuxboolean_probe_offline_mode_supported (void)
int | selinuxboolean_probe_main (probe_ctx *ctx, void *arg)

## Detailed Description

selinuxboolean probe

Author
  "Petr Lautrbach" plaut.nosp@m.rba@.nosp@m.redha.nosp@m.t.co.nosp@m.m

This probe is able to process a selinuxboolean_object as defined in OVAL 5.8.